Summary:        Experimental features made easy
Name:           perl-experimental
Version:        0.028
Release:        6%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/experimental
Source0:        https://cpan.metacpan.org/authors/id/L/LE/LEONT/experimental-%{version}.tar.gz

BuildRequires:  make coreutils perl-generators perl-interpreter 
BuildRequires:  perl(Config) perl(strict) perl(warnings)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Carp) perl(feature) perl(version)
BuildRequires:  perl(Test::More) >= 0.89

Requires:       perl(feature)

BuildArch:      noarch

%description
This pragma provides an easy and convenient way to enable or disable
experimental features.The 'experimental' pragma exists to combine the 
required incantations into a single interface stable across releases of perl.

%prep
%autosetup -n experimental-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} %{buildroot}/*

%check
export HARNESS_OPTIONS=j%{_smp_build_ncpus}
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.028-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.028-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.028-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.028-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.028-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Aug 05 2022 Wang Zhe <bessiewang@tencent.com> - 0.028-1
- initial build
